# $Revision: 1.36 $, $Date: 2009/06/15 16:45:49 $
Summary:	X Randr extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Randr
Name:		xorg-lib-libXrandr
Version:	1.3.0
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.bz2
# Source0-md5:	68eb59c3b7524db6ffd78746ee893d1d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-randrproto-devel >= 1.3.0
BuildRequires:	xorg-util-util-macros >= 1.2
Obsoletes:	libXrandr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Resize and Rotate extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

%package devel
Summary:	Header files for libXrandr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrandr
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXrender-devel
Requires:	xorg-proto-randrproto-devel >= 1.3.0
Obsoletes:	libXrandr-devel

%description devel
X Resize and Rotate extension library.

This package contains the header files needed to develop programs that
use libXrandr.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrandr.

%package static
Summary:	Static libXrandr libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXrandr
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXrandr-static

%description static
X Resize and Rotate extension library.

This package contains the static libXrandr library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera statyczną bibliotekę libXrandr.

%prep
%setup -q -n libXrandr-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXrandr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrandr.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXrandr.so
%{_libdir}/libXrandr.la
%{_includedir}/X11/extensions/Xrandr.h
%{_pkgconfigdir}/xrandr.pc
%{_mandir}/man3/XRR*.3x*
%{_mandir}/man3/Xrandr.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrandr.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXrandr.spec,v $
Revision 1.36  2009/06/15 16:45:49  hawk
- release 2

Revision 1.35  2009/03/23 21:54:44  qboosh
- xorg macros 1.2 required

Revision 1.34  2009/03/23 21:54:04  qboosh
- updated randrproto dep in -devel

Revision 1.33  2009/03/06 14:55:49  arekm
- up to 1.3.0

Revision 1.32  2008/12/26 12:05:22  adamg
- updated to 1.2.99.4
- proper xorg-proto-randrproto-devel version in BR
- fixed previous commit msg

Revision 1.31  2008/12/26 01:52:48  adamg
- updated to 1.2.99.3

Revision 1.30  2008/12/01 22:13:40  arekm
- up to 1.2.91

Revision 1.29  2008/11/05 23:29:04  arekm
- release 2

Revision 1.28  2008/07/09 05:10:16  qboosh
- ghost soname symlink
- updated randrproto dep in -devel

Revision 1.27  2008/07/02 19:39:43  arekm
- up to 1.2.3

Revision 1.26  2007/09/05 18:04:59  qboosh
- updated to 1.2.2

Revision 1.25  2007/03/05 07:13:08  arekm
- up to 1.2.1; c++ patch merged

Revision 1.24  2007/02/20 11:11:27  qrczak
- xorg-lib-libXrandr-c++.patch: avoid C++ keywords in headers (for kdebase)
- Release 3

Revision 1.23  2007/02/19 17:24:58  sls
- BR: xorg-proto-randrproto-devel >= 1.2

Revision 1.22  2007/02/19 06:45:18  arekm
- up to 1.2.0

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.18  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.17  2006/10/14 15:53:50  qboosh
- updated to 1.1.2

Revision 1.16  2006/05/26 16:01:00  qboosh
- needs randrproto 1.1

Revision 1.15  2006/04/27 07:06:20  arekm
- up to 1.1.1

Revision 1.14  2006/03/08 22:09:38  qboosh
- release 1

Revision 1.13  2005/12/28 14:15:29  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 13:29:39  qboosh
- 1.1.0.2 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 11:56:24  qboosh
- 1.1.0.1 (X11R7.0-RC3)

Revision 1.9  2005/11/19 19:27:31  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.6  2005/10/20 20:17:32  qboosh
- 0.99.1 (X11R7.0-RC1)
- more docs, added version to randrproto deps

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.10  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.9  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.8  2004/05/22 23:10:06  qboosh
- pl, unifications, removed empty files from doc

Revision 1.7  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.6  2004/03/10 16:55:52  adgor
- More noautoreqeps

Revision 1.5  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.4  2004/03/06 15:28:38  pluto
- R:, release 3.

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/04 00:11:25  adgor
- Initial
